<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
 
$text = @file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

echo '<img src="../images/img/menu.gif" alt=""> <b>Добавление темы</b><br><br>';
	
if(!isset($action)){		
if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}

if($fid!=""){
if($config_themes!="wml"){
	
echo'<form action="index.php?event=addtopic&amp;fid='.$fid.'&amp;'.SID.'" method="post" name="replier">';
echo'<br>Заголовок:<br>';
echo'<input type="text" name="zag" maxlength="100" /><br>';
echo'Сообщение:<br>';
echo'<textarea cols="20" rows="3" name="msg"></textarea><br>';

if($config_translit=="1"){
echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}

echo'<input type="submit" value="Добавить" /></form>';
}else{

echo'<br>--------------------<br>Заголовок:<br>';
echo'<input name="zag"/><br>';
echo'Сообщение:<br>';
echo'<input name="msg"/><br>';

if($config_translit=="1"){
echo'Транслит: <select name="trans"><option value="0">Нет</option>';
echo'<option value="y">Да</option>';
echo'</select><br>';}

echo'<anchor>Добавить';
echo'<go href="index.php?event=addtopic&amp;fid='.$fid.'&amp;'.SID.'" method="post">';
echo'<postfield name="zag" value="$(zag)"/>';
echo'<postfield name="trans" value="$(trans)"/>';
echo'<postfield name="msg" value="$(msg)"/>';
echo'</go>';
echo'</anchor><br>'; 
}

echo'<hr>Прежде чем создать новую тему необходимо ознакомиться с правилами<br>';
echo'<a href="../pages/pravila.php?'.SID.'">Правила сайта</a><br>';
echo'Также убедись что такой темы нет, чтобы не создавать одинаковые, для этого введи ключевое слово в поиске<br>';
echo'<a href="search.php?'.SID.'">Поиск по форуму</a><br>';
echo'И если после этого вы уверены, что ваша тема будет интересна другим пользователям, то можете ее создать<br>';

}else{echo'Ошибка! Не выбран раздел для создания темы';}

}else{
echo '<br><br>Вы не авторизованы, для создания новой темы необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br>';

}
}

echo '<br><img src="../images/img/back.gif" alt=""> <a href="index.php?'.SID.'">В форум</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
	?>